DownloadService2 (IcedTea-Web: NetX )
Keywords: javax.jnlp.DownloadService2 interface
Date: 2020-05-21

javax.jnlp

## Interface DownloadService2

- All Known Implementing Classes:
    XDownloadService2

      public interface DownloadService2

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `DownloadService2.ResourceSpec`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALL`
    `static int` | `APPLET`
    `static int` | `APPLICATION`
    `static int` | `CLASS`
    `static int` | `EXTENSION`
    `static int` | `IMAGE`
    `static int` | `JAR`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DownloadService2.ResourceSpec[]` | `getCachedResources(DownloadService2.ResourceSpec resourceSpec)`
    `DownloadService2.ResourceSpec[]` | `getUpdateAvailableResources(DownloadService2.ResourceSpec resourceSpec)`

- - ### Field Detail

    - #### ALL

          static final int ALL

      See Also:
        Constant Field Values

    - #### APPLET

          static final int APPLET

      See Also:
        Constant Field Values

    - #### APPLICATION

          static final int APPLICATION

      See Also:
        Constant Field Values

    - #### CLASS

          static final int CLASS

      See Also:
        Constant Field Values

    - #### EXTENSION

          static final int EXTENSION

      See Also:
        Constant Field Values

    - #### IMAGE

          static final int IMAGE

      See Also:
        Constant Field Values

    - #### JAR

          static final int JAR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getCachedResources

          DownloadService2.ResourceSpec[] getCachedResources(DownloadService2.ResourceSpec resourceSpec)

    - #### getUpdateAvailableResources

          DownloadService2.ResourceSpec[] getUpdateAvailableResources(DownloadService2.ResourceSpec resourceSpec)

Submit a bug or feature